Subject: Re: bug#60660: Support git-formatted patches in diff-mode
From: Stefan Kangas <[email-masked]>
To: Juri Linkov <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Wed, 10 Jan 2024 14:37:52 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Juri Linkov <[email-masked]> writes:
>
>>>> This patch for emacs-29 fixes this bug, and the rest of fontification
>>>> could be implemented in master.
>>>
>>> OK for the emacs-29 branch
>>
>> Pushed to the emacs-29 branch.
>
> So is there more to do here, or should this bug be closed?  I'm not sure
> if it's still needed to track the below.
>
>>> (although I'm surprised that diff-beginning-of-hunk can return
>>> a position that is not before point).
>>
>> Indeed, strange to see this in 'diff-beginning-of-hunk':
>>
>>       (cond ...
>>         ((re-search-backward regexp nil t)) ; In the middle of a hunk.
>>         ((re-search-forward regexp nil t) ; At first hunk header.
>>                     =======
>>
>> Need to experiment more with this in master.

No further comments, so I'm closing this now.  Please reopen if it's
needed to track the above.